#ifndef BINQLOCK_H
#define BINQLOCK_H

#define HOURS   0
#define MINUTES 1
#define SECONDS 2
#define AMPM    3

#include <qwidget.h>
#include <qdatetime.h>
#include <qtimer.h>
#include <qpainter.h>
#include <qcolor.h>
#include <qbrush.h>
#include <qpen.h>

class Binqlock : public QWidget {
    Q_OBJECT
public:
Binqlock(QWidget *parent = 0, const char *name=0);

protected:
void paintEvent(QPaintEvent *);

private slots:
void Update();

private:
int ledGrid[4][6];
QTime time;
QTimer *timer;
QPoint *clickpos;
QColor background;
QColor foreground;

};


#endif