#include "binqlock.h"

Binqlock::Binqlock(QWidget *parent, const char *name) : QWidget (parent, name) {
resize(90,48);
int value;
int first, last;
int i;
background = QColor(black);
foreground = QColor(white);
time = QTime::currentTime();
//Initialize the grid as well
value = time.hour();
if (value >= 12) { value = value - 12; }
if (value < 12) {
    ledGrid[5][0] = 1;
}

for (i=0;i<=3;i++) {
    ledGrid[0][i] = value % 2;
    value = value/2;
}
value = time.minute();
last = value % 10;
value = value / 10;
first = value % 10;

for (i=0;i<=3;i++) {
    ledGrid[1][i] = first % 2;
    first = first/2;
}
for (i=0;i<=3;i++) {
    ledGrid[2][i] = last % 2;
    last = last/2;
}
value = time.second();
last = value % 10;
value = value / 10;
first = value % 10;
for (i=0;i<=3;i++) {
    ledGrid[3][i] = first % 2;
    first = first/2;
}
for (i=0;i<=3;i++) {
    ledGrid[4][i] = last % 2;
    last = last/2;
}
//------------------------------
timer = new QTimer(this,"timer");
timer->start(1000);
connect(timer,SIGNAL(timeout()),this,SLOT(Update()));
}

void Binqlock::Update () {
int value;
int first, last;
int i;
time = QTime::currentTime();
value = time.hour();
if (value >= 12) { value = value - 12; }
if (value < 12) {
    ledGrid[5][0] = 1;
}
for (i=0;i<=3;i++) {
    ledGrid[0][i] = value % 2;
    value = value/2;
}
value = time.minute();
last = value % 10;
value = value / 10;
first = value % 10;
for (i=0;i<=3;i++) {
    ledGrid[1][i] = first % 2;
    first = first/2;
}
for (i=0;i<=3;i++) {
    ledGrid[2][i] = last % 2;
    last = last/2;
}
value = time.second();
last = value % 10;
value = value / 10;
first = value % 10;
for (i=0;i<=3;i++) {
    ledGrid[3][i] = first % 2;
    first = first/2;
}
for (i=0;i<=3;i++) {
    ledGrid[4][i] = last % 2;
    last = last/2;
}
repaint();
}

void Binqlock::paintEvent(QPaintEvent *event) {
QPainter paint(this);
paint.drawRect(0,0,90,48);
paint.setPen(background);
paint.setBrush(foreground);
int m, n;
for(m = 0; m<=4; m++) {
  for(n = 0; n<=5;n++) {
    if(ledGrid[m][n] == 1) {
    paint.drawEllipse( (18 * m + 3), (12 * n), 18, 12);
    }
  }
}
paint.setPen(foreground);
paint.setBrush(background);
for(m = 0; n<=4; m++) {
  for(n = 0; m<=5;n++) {
    if(ledGrid[m][n] == 0) {
    paint.drawEllipse( (18 * m + 3), (12 * n), 18, 12);
    }
  }
}
}